package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.type.ExceptionClassType;
import de.fhdw.wtf.common.ast.type.RegularClassType;

/**
 * Return-Visitor for {@link de.fhdw.wtf.common.ast.type.ClassType}.
 * 
 * @param <X>
 *            Return type
 */
public interface ClassTypeVisitorReturn<X> {
	/**
	 * Handle-Method.
	 * 
	 * @param regularClassType
	 *            {@link RegularClassType}
	 * @return Return value of type to be specified by generics
	 */
	X handle(RegularClassType regularClassType);
	
	/**
	 * Handle-Method.
	 * 
	 * @param exceptionClassType
	 *            {@link ExceptionClassType}
	 * @return Return value of type to be specified by generics
	 */
	X handle(ExceptionClassType exceptionClassType);
}
