package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.type.ListType;
import de.fhdw.wtf.common.ast.type.MapType;
import de.fhdw.wtf.common.ast.type.ProductType;
import de.fhdw.wtf.common.ast.type.SumType;
import de.fhdw.wtf.common.ast.type.ThrownType;

/**
 * Visitor for {@link de.fhdw.wtf.common.ast.type.CompositeType}.
 * 
 */
public interface CompositeTypeVisitor {
	
	/**
	 * Handle-Method.
	 * 
	 * @param list
	 *            {@link ListType}
	 */
	void handle(ListType list);
	
	/**
	 * Handle-Method.
	 * 
	 * @param map
	 *            {@link MapType}
	 */
	void handle(MapType map);
	
	/**
	 * Handle-Method.
	 * 
	 * @param product
	 *            {@link ProductType}
	 */
	void handle(ProductType product);
	
	/**
	 * Handle-Method.
	 * 
	 * @param sum
	 *            {@link SumType}
	 */
	void handle(SumType sum);
	
	/**
	 * Handle-Method for a {@link ThrownType}-Object.
	 * 
	 * @param thrownType
	 *            the checked object
	 */
	void handle(ThrownType thrownType);
}
