package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.Constructor;
import de.fhdw.wtf.common.ast.Operation;

/**
 * Visitor for {@link de.fhdw.wtf.common.ast.ConstructorOrOperation}.
 * 
 * @param <E>
 * 
 */
public interface ConstructorOrOperationExceptionVisitor<E extends Exception> {
	/**
	 * Handle-Method.
	 * 
	 * @param constructor
	 *            {@link Constructor}
	 * @throws E
	 *             Exception
	 */
	void handleConstructor(Constructor constructor) throws E;
	
	/**
	 * Handle-Method.
	 * 
	 * @param operation
	 *            {@link Operation}
	 * @throws E
	 *             Exception
	 */
	void handleOperation(Operation operation) throws E;
	
}
