package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.ConstructorByTypeAndSignatureState;
import de.fhdw.wtf.common.ast.ConstructorByReferenceState;
import de.fhdw.wtf.common.ast.ConstructorInvalidState;

/**
 * Return Visitor for {@link de.fhdw.wtf.common.ast.ConstructorReferenceState}.
 * 
 * @param <X>
 *            ReturnType.
 */
public interface ConstructorReferenceStateVisitorReturn<X> {
	
	/**
	 * Handle operations for the type {@link ConstructorByTypeAndSignatureState}.
	 * 
	 * @param byName
	 *            {@link ConstructorByTypeAndSignatureState}
	 * @return X
	 */
	X handle(ConstructorByTypeAndSignatureState byName);
	
	/**
	 * Handle operations for the type {@link ConstructorInvalidState}.
	 * 
	 * @param invalid
	 *            {@link ConstructorInvalidState}
	 * @return X
	 */
	X handle(ConstructorInvalidState invalid);
	
	/**
	 * Handle operations for the type {@link ConstructorByReferenceState}.
	 * 
	 * @param byReference
	 *            {@link ConstructorByReferenceState}
	 * @return X
	 */
	X handle(ConstructorByReferenceState byReference);
}
