package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.Name;
import de.fhdw.wtf.common.ast.QualifiedName;
import de.fhdw.wtf.common.ast.UnqualifiedName;

/**
 * Visitorclass for concatenating {@link de.fhdw.wtf.common.ast.Name}s with themselves.
 */
public interface NameVisitorReturnName {
	
	/**
	 * Handle-method for {@link de.fhdw.wtf.common.ast.QualifiedName}.
	 * 
	 * @param qName
	 *            : QualifiedName.
	 * @return : Name.
	 */
	Name handleQualifiedName(QualifiedName qName);
	
	/**
	 * Handle-method for {@link de.fhdw.wtf.common.ast.UnqualifiedName}.
	 * 
	 * @param unqName
	 *            : UnqualifiedName.
	 * @return : Name.
	 */
	Name handleUnqualifiedName(UnqualifiedName unqName);
}
