package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.type.ByNameState;
import de.fhdw.wtf.common.ast.type.ByReferenceState;
import de.fhdw.wtf.common.ast.type.InvalidState;

/**
 * Visitor for {@link de.fhdw.wtf.common.ast.type.TypeProxyState}.
 */
public interface TypeProxyStateVisitor {
	
	/**
	 * Handle operations for the type {@link ByNameState}.
	 * 
	 * @param byName
	 *            {@link ByNameState}
	 */
	void handle(ByNameState byName);
	
	/**
	 * Handle operations for the type {@link InvalidState}.
	 * 
	 * @param invalid
	 *            {@link InvalidState}.
	 */
	void handle(InvalidState invalid);
	
	/**
	 * Handle operations for the type {@link ByReferenceState}.
	 * 
	 * @param byReference
	 *            {@link ByReferenceState}.
	 */
	void handle(ByReferenceState byReference);
	
}
