package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.token.Token;

/**
 * The {@link NoSquareBracketOpenException} will be thrown if a
 * {@link de.fhdw.wtf.common.token.symbols.SquareBracketOpenToken} is expected, but an another Token was found.
 * 
 */
public final class NoSquareBracketOpenException extends AbstractParserException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -3038215978559356413L;
	
	/**
	 * Constructor of {@link NoSquareBracketOpenException}.
	 * 
	 * @param token
	 *            token
	 * @param message
	 *            message
	 */
	private NoSquareBracketOpenException(final Token token, final String message) {
		super(token, message);
	}
	
	/**
	 * Creates a {@link NoSquareBracketOpenException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link NoSquareBracketOpenException}-Object.
	 */
	public static NoSquareBracketOpenException create(final Token token) {
		return new NoSquareBracketOpenException(token,
				de.fhdw.wtf.common.constants.parser.ExceptionConstants.NO_SQUARE_BRACKET_OPEN_EXCEPTION_MESSAGE);
	}
	
}
