package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.token.Token;

/**
 * The {@link NoTypeException} will be thrown if a Type is expected, but other Tokens was found.
 * 
 */
public final class NoTypeException extends AbstractParserException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 841301030029594123L;
	
	/**
	 * Constructor of {@link NoTypeException}.
	 * 
	 * @param token
	 *            token
	 * @param message
	 *            message
	 */
	private NoTypeException(final Token token, final String message) {
		super(token, message);
	}
	
	/**
	 * Creates a {@link NoTypeException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link NoTypeException}-Object.
	 */
	public static NoTypeException create(final Token token) {
		return new NoTypeException(token,
				de.fhdw.wtf.common.constants.parser.ExceptionConstants.NO_TYPE_EXCEPTION_MESSAGE);
	}
}
