package de.fhdw.wtf.common.token.keywords;

import de.fhdw.wtf.common.token.Position;

/**
 * Represents class-modifiers as tokens in WTF.
 */
public abstract class ClassModifierToken extends KeywordToken {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 353384756017272908L;
	
	/**
	 * Protected constructor for {@link ClassModifierToken}. Use create(...)-Factory instead!
	 * 
	 * @param position
	 *            represents the start position of an {@link ClassModifierToken} in the original input.
	 */
	protected ClassModifierToken(final Position position) {
		super(position);
	}
	
	@Override
	public boolean isClassModifierToken() {
		return true;
	}
	
}
