package de.fhdw.wtf.common.token.keywords;

import de.fhdw.wtf.common.token.Position;
import de.fhdw.wtf.common.token.Token;

/**
 * Represents all keywords as tokens in WTF.
 */
public abstract class KeywordToken extends Token {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 5967366273656660506L;
	
	/**
	 * Protected constructor for {@link KeywordToken}. Use create(...)-Factory instead!
	 * 
	 * @param position
	 *            represents the start position of an {@link KeywordToken} in the original input.
	 */
	protected KeywordToken(final Position position) {
		super(position);
	}
	
	@Override
	public boolean isKeywordToken() {
		return true;
	}
	
}
